# wxGBSpan Class Reference
[Window Layout]

`#include </home/work/projects/wx/2.9/wx/interface/wx/gbsizer.h>`

## Detailed Description

This class is used to hold the row and column spanning attributes of items in a wxGridBagSizer.

##

Library: wxCore
Category: Window Layout

## Public Member Functions

| wxGBSpan ()
| Default constructor, setting the rowspan and colspan to (1,1) meaning that the item occupies one cell in each direction.
| wxGBSpan (int rowspan, int colspan)
| Construct a new wxGBSpan, setting the rowspan and colspan.
int | GetColspan () const
| Get the current colspan value.
int | GetRowspan () const
| Get the current rowspan value.
void | SetColspan (int colspan)
| Set a new colspan value.
void | SetRowspan (int rowspan)
| Set a new rowspan value.
bool | operator! (const wxGBSpan &o) const
| Checks if the span is valid.
bool | operator== (const wxGBSpan &o) const
| Compare equality of two wxGBSpans.

List of all members.

## Constructor & Destructor Documentation

wxGBSpan::wxGBSpan | ( |  | ) |

Default constructor, setting the rowspan and colspan to (1,1) meaning that the item occupies one cell in each direction.

wxGBSpan::wxGBSpan | ( | int | rowspan,
|  | int | colspan |
| ) |  |  |

Construct a new wxGBSpan, setting the rowspan and colspan.

## Member Function Documentation

int wxGBSpan::GetColspan | ( |  | ) | const

Get the current colspan value.

int wxGBSpan::GetRowspan | ( |  | ) | const

Get the current rowspan value.

bool wxGBSpan::operator! | ( | const wxGBSpan & | o | ) | const

Checks if the span is valid.

An invalid span is (-1,-1).

bool wxGBSpan::operator== | ( | const wxGBSpan & | o | ) | const

Compare equality of two wxGBSpans.

void wxGBSpan::SetColspan | ( | int | colspan | ) |

Set a new colspan value.

void wxGBSpan::SetRowspan | ( | int | rowspan | ) |

Set a new rowspan value.

|  | [ top ]